function [Gdata,Evals,Mcuts,Ecuts] = getGDataForJFact(klist,ORDE,ORDL,MMAX,ORDM)
% Calculate the values of the G coefficients relevant to getting J factors
% do the sum over l, leaving a matrix in ec,j,m where ec is the
% eigenvalue counter

% get alpha, beta coefficients
almj = zeros(ORDM+1,MMAX+1,MMAX+1);
blmj = almj;
for m = 0:MMAX
    for j = 0:MMAX
        mh = max(m,abs(j));
        for l = mh:mh+ORDM
            almj(l-mh+1,j+1,m+1) = sqrt((l-m)*(l+m)*(l-j)*(l+j)/(l^2*(4*l^2-1)));
            blmj(l-mh+1,j+1,m+1) = m*j/(l*(l+1));
        end
    end
end


nk = length(klist);
Mcuts = zeros(nk,1);
Gdata = zeros(ORDE,MMAX+1,MMAX+1,nk);
Evals = Gdata;

for kc = 1:nk
    
    K = klist(kc);
    
    % get Fourier-laplace transformed G coefficients
    [Gmat,Evals(:,:,:,kc),Mcut,Ecut,Lcut]=getGmatmj(K,ORDE,ORDL,MMAX,ORDM,almj,blmj,0);
    Mcuts(kc) = Mcut;    
    Ecuts(:,:,kc) = Ecut;
    
    % do summation over l    
    for m = 0:Mcut-1
        for j = 0:Mcut-1
            for ec = 1:Ecut(j+1,m+1)                
                lmax = Lcut(ec,j+1,m+1);
                Gdata(ec,j+1,m+1,kc) = sum(Gmat(ec,1:lmax+1,j+1,m+1));
            end
        end
    end
        

    if (mod(kc,10)==0)
        disp([kc K ])
    end
end